Bug 174840 - any non-default layout options of gnome-keyboard-properties generates popup error
any non-default layout options of gnome-keyboard-properties generates popup e...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-02 12:47 EST by Brian G. Anderson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 10:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2005-12-02 12:47:27 EST
Description of problem:
I cannot select any other keybard layout option other than default without
causing the popup dialog below.


Version-Release number of selected component (if applicable):
2.12.1

How reproducible:
every time.


Steps to Reproduce:
1. Navigate to System->Preferences->Keyboard
2.Select the Layout Options tab
3.Try to select any layout other than default radio button
  
Actual results:
A pop-up error dialog appears with the text below.  Furthermore, anytime you
start gnome using startx will result in the same message.  The keyboard layout
is not changed.

Expected results:
The keyboard layout is changed

Additional info:
I wiped my home directory of all config files as if the user directory was just
created and it still wouldn't change the keyboard layout.  I also did
'setenforce 0' just to check it wasn't a selinux problem, but that didn't help
either.

Here is the text in the pupup:

Error activating XKB configuration.

It can happen under various circumstances:

- a bug in libxklavier library

- a bug in X server (xkbcomp, xmodmap utilities)

- X server with incompatible libxkbfile implementation



X server version data:

The X.Org Foundation

69999902



If you report this situation as a bug, please include:

- The result of xprop -root | grep XKB

- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
Comment 1 Matthias Clasen 2006-08-04 10:25:00 EDT
Doesn't happen for me.
If you still see this problem in current rawhide, please reopen.

Note You need to log in before you can comment on or make changes to this bug.